
## symantic-base-0.3.0.20211007 (2021-10-07)

### Interface

* Add `(<.)` and `(.>)` to class `ProductFunctor`.
* Add class `Inferable`.
* Add classes `Emptyable` and `Semigroupable`.
* Add `CurryN` to the root import.
* Add class `SumFunctor`.
* Add instance `Category Iso`.
* Change `(==)` to curryed form.
* Change to `infixr` classes `ProductFunctor` and `SumFunctor`.
* Fix class `Voidable`.
* Fix class `Dicurryable`.
* Move some `Abstractable` methods to `Functionable`.
* Rename module `Symantic.{Lang => Class}`.
* Rename term `{def => define}`.
* Update release `version`.

### Documentation

* Add `ChangeLog.md`.
* Rename {hut => code}.sourcephile.fr.

### Implementation

* Cleanup formatting a bit.
* Cleanup useless import.

### Build

* Add tool `git-chglog` for generating `ChangeLog.md`.
* Add tool `reuse` for copyright linting.
* Ignore more local-only files.
* Improve linting.
* Remove nix input `flake-utils`.
* Remove lingering Stack file.
* Update nix input `nixpkgs`.

