{
inputs.nixpkgs.url = "flake:nixpkgs";
outputs = inputs: let
  lib = inputs.nixpkgs.lib;
  forAllSystems = f: lib.genAttrs lib.systems.supported.hydra (system: f {
    inherit inputs system;
    pkgs = inputs.nixpkgs.legacyPackages.${system};
  });
  in
  rec {
    defaultPackage = forAllSystems (import ./default.nix);
    devShell = lib.mapAttrs (_: x: x.shell) defaultPackage;
  };
}
